Skip to main content
GET
/
v1
/
tenants
/
{id}
Get tenant
curl --request GET \
  --url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-12T09:10:12.337Z",
  "message": "Success",
  "data": {
    "id": "422a6005-4223-47cb-abfe-e33130174349",
    "domains": [
      "monumental-gazebo.info",
      "smug-pile.biz"
    ],
    "baseCurrency": "USD",
    "isActive": true,
    "isDeleted": false,
    "createdOn": "2025-12-28T09:11:50.334Z",
    "updatedOn": "2026-01-12T05:03:33.766Z",
    "globalNotificationToggle": true,
    "aptlyAccountId": "1122345",
    "tenantIdDescope": "tenant-v69xtvg7",
    "tenantName": "Ebert, Corwin and Schmidt",
    "tenantCode": "LBIE42",
    "authType": "SSO",
    "isSsoEnabled": false,
    "website": "https://any-operating.info/",
    "companyName": "Beer LLC",
    "taxId": "97363380",
    "address": {
      "line1": "4484 Meta Spur",
      "line2": "Apt. 145",
      "city": "Port Garettview",
      "state": "New Mexico",
      "zipCode": "03479-0243"
    },
    "country": "India",
    "organization": "mindshare",
    "region": "RW",
    "dateFormat": "MM/DD/YYYY",
    "isMultiCurrencyAllowed": true,
    "defaultTimezone": "UTC-5",
    "companyLogoFile": "https://picsum.photos/seed/auPKZ8/900/550",
    "dashboardLogoFile": "https://picsum.photos/seed/QxIyc4VC/3108/1029",
    "billingEmailAddress": "Oswaldo.Lesch5@hotmail.com",
    "stateCode": "SA",
    "countryCode": "US",
    "status": "ACTIVE",
    "createdBy": "5d431e94-ae0b-4661-8974-1ded3509dd3a",
    "updatedBy": "089e0a7f-f2fb-41f6-84f7-f30375ab15b1",
    "currencyRates": [
      {
        "currency": "EUR",
        "rate": "0.91"
      },
      {
        "currency": "JPY",
        "rate": "146.98"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Tenant fetched successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-12T09:10:12.337Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data